> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Criar uma API key de serviço

> Provisionar uma API key de serviço para uma Organização no Enterprise

Requer uma API key pessoal de administrador do Enterprise.

Cria uma API key de serviço para uma Organização específica dentro do Enterprise.


## OpenAPI

````yaml pt-BR/v2-openapi.yaml POST /v2/enterprise/api-keys
openapi: 3.1.0
info:
  description: API Devin v2 com chaves de API pessoais para administradores do Enterprise
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/api-keys:
    post:
      tags:
        - api-keys
      summary: Endpoint para provisionar Service API key
      description: >-
        Provisionar uma chave de API de serviço para uma organização em uma
        conta Enterprise.
      operationId: provision_service_api_key_endpoint_v2_enterprise_api_keys_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ServiceKeyRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ServiceKeyResponse'
          description: Resposta bem-sucedida
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erro de Validação
components:
  schemas:
    ServiceKeyRequest:
      properties:
        org_id:
          title: Org Id
          type: string
      required:
        - org_id
      title: ServiceKeyRequest
      type: object
    ServiceKeyResponse:
      properties:
        api_key:
          title: Api Key
          type: string
        org_id:
          title: Org Id
          type: string
      required:
        - api_key
        - org_id
      title: ServiceKeyResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: >-
        Chave de API pessoal (apk_user_*) somente para administradores do
        Enterprise
      scheme: bearer
      type: http

````